/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.fon.silab.master.nst.springioc.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import rs.fon.silab.master.nst.springioc.repository.impl.RepositoryMessageTxtImpl;
import rs.fon.silab.master.nst.springioc.repository.impl.RepositoryMessageXmlImpl;
import rs.fon.silab.master.nst.springioc.repository.RepositoryMessage;
import rs.fon.silab.master.nst.springioc.service.ServiceMessage;
import rs.fon.silab.master.nst.springioc.service.impl.ServiceMessageImpl;

/**
 *
 * @author user
 */
@Configuration
public class ApplicationContextAnnotationConfiguration {

    @Bean(name = "txt")
    public RepositoryMessage getServisMessageTxt() {
        System.out.println(" @Bean(name = 'txt') - public RepositoryMessage getServisMessageTxt()");
        return new RepositoryMessageTxtImpl();
    }
//    @Bean(name = "serviceMessage")
//    public ServiceMessage getServiceMessage(){
//        System.out.println(" @Bean(name = 'serviceMessage') - public ServiceMessage getServiceMessage()");
//        return new ServiceMessageImpl(getServisMessageTxt());
//    }

    @Bean(name = "serviceMessage")
    public ServiceMessage getServiceMessage() {
        System.out.println(" @Bean(name = 'serviceMessage') - public ServiceMessage getServiceMessage()");
        return new ServiceMessageImpl();
    }

    @Bean(name = "xml")
    public RepositoryMessage getServisMessageXml() {
        return new RepositoryMessageXmlImpl();
    }

}
