/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.fon.silab.master.nst.springioc.start;

import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.context.support.GenericXmlApplicationContext;
import rs.fon.silab.master.nst.springioc.repository.RepositoryMessage;

/**
 *
 * @author user
 */
public class Start {

    public static void main(String[] args) {
        classPathXml();
        genericXml();
    }

    private static void classPathXml() throws BeansException {
        ApplicationContext context = new ClassPathXmlApplicationContext("application-context.xml");
        RepositoryMessage servisMessageXml = context.getBean("xml", RepositoryMessage.class);
        servisMessageXml.saveMessage("Napredne softverske tehnologije");
        RepositoryMessage servisMessageTxt = context.getBean("txt", RepositoryMessage.class);
        servisMessageTxt.saveMessage("Napredne softverske tehnologije");
    }

    private static void genericXml() throws BeansException {
        GenericXmlApplicationContext context = new GenericXmlApplicationContext();
        context.load("classpath:application-context.xml");
        context.refresh();
        
        RepositoryMessage servisMessageXml = context.getBean("xml", RepositoryMessage.class);
        servisMessageXml.saveMessage("Napredne softverske tehnologije");
        RepositoryMessage servisMessageTxt = context.getBean("txt", RepositoryMessage.class);
        servisMessageTxt.saveMessage("Napredne softverske tehnologije");
    }
}
