/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package rs.fon.silab.spring.springdata.main;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.AnnotationConfigApplicationContext;
import org.springframework.stereotype.Component;
import rs.fon.silab.spring.springdata.config.MySpringDataPersistenceJPAConfig;
import rs.fon.silab.spring.springdata.domen.Mesto;
import rs.fon.silab.spring.springdata.service.MestoService;

/**
 *
 * @author user
 */
@Component
public class Main {

    public static void main(String[] args) {
        ApplicationContext context = new AnnotationConfigApplicationContext(MySpringDataPersistenceJPAConfig.class);
        Main main = (Main) context.getBean(Main.class);
        main.findAll();
        System.out.println("End..");
    }

    @Autowired
    private MestoService mestoService;

    private void findAll() {
        List<Mesto> mesta = mestoService.findAll();
        for (Mesto mesto : mesta) {
            System.out.println(mesto);
        }
    }

}
